<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component } from "vue-property-decorator";

@Component({})
export default class LoadingComponent extends Vue {
  json = {
    nm: "Loading Dots",
    ddd: 0,
    h: 270,
    w: 480,
    meta: {
      g: "@lottiefiles/toolkit-js 0.33.2",
    },
    layers: [
      {
        ty: 4,
        nm: "Dot4",
        sr: 1,
        st: 0,
        op: 360,
        ip: 0,
        hd: false,
        ddd: 0,
        bm: 0,
        hasMask: false,
        ao: 0,
        ks: {
          a: {
            a: 0,
            k: [-284, 92, 0],
            ix: 1,
          },
          s: {
            a: 1,
            k: [
              {
                o: {
                  x: 0.333,
                  y: 0,
                },
                i: {
                  x: 0.667,
                  y: 1,
                },
                s: [12.5, 12.5, 100],
                t: 25,
              },
              {
                o: {
                  x: 0.333,
                  y: 0,
                },
                i: {
                  x: 0.667,
                  y: 1,
                },
                s: [18.75, 18.75, 100],
                t: 39,
              },
            ],
          },
        },
      },
    ],
  };
}
</script>

<style lang="scss" scoped>
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  // background-image: linear-gradient(
  //   45deg,
  //   rgb(117, 110, 110),
  //   rgb(243, 244, 246)
  // );
  background: rgb(243, 244, 246);
  z-index: 5;
  opacity: clamp(0.5, 0.3, 0.1);
  #status {
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    // .spinner {
    //   width: 4rem;
    //   height: 4rem;
    //   position: relative;
    //   margin: 100px auto;
    //   .double-bounce1,
    //   .double-bounce2 {
    //     width: 100%;
    //     height: 100%;
    //     border-radius: 50%;
    //     background-color: black;
    //     opacity: 0.6;
    //     position: absolute;
    //     top: 0;
    //     left: 0;
    //     animation: sk-bounce 2s infinite ease-in-out;
    //   }
    //   .double-bounce2 {
    //     animation-delay: -1s;
    //   }
    // }
    .lds-spinner {
      color: official;
      display: inline-block;
      position: relative;
      width: 80px;
      height: 80px;
      margin: 100px auto;
    }
    .lds-spinner div {
      transform-origin: 40px 40px;
      animation: lds-spinner 1.2s linear infinite;
    }
    .lds-spinner div:after {
      content: " ";
      display: block;
      position: absolute;
      top: 50px;
      left: 37px;
      width: 3px;
      height: 8px;
      border-radius: 20%;
      background: #fff;
    }
    .lds-spinner div:nth-child(1) {
      transform: rotate(0deg);
      animation-delay: -1.1s;
    }
    .lds-spinner div:nth-child(2) {
      transform: rotate(30deg);
      animation-delay: -1s;
    }
    .lds-spinner div:nth-child(3) {
      transform: rotate(60deg);
      animation-delay: -0.9s;
    }
    .lds-spinner div:nth-child(4) {
      transform: rotate(90deg);
      animation-delay: -0.8s;
    }
    .lds-spinner div:nth-child(5) {
      transform: rotate(120deg);
      animation-delay: -0.7s;
    }
    .lds-spinner div:nth-child(6) {
      transform: rotate(150deg);
      animation-delay: -0.6s;
    }
    .lds-spinner div:nth-child(7) {
      transform: rotate(180deg);
      animation-delay: -0.5s;
    }
    .lds-spinner div:nth-child(8) {
      transform: rotate(210deg);
      animation-delay: -0.4s;
    }
    .lds-spinner div:nth-child(9) {
      transform: rotate(240deg);
      animation-delay: -0.3s;
    }
    .lds-spinner div:nth-child(10) {
      transform: rotate(270deg);
      animation-delay: -0.2s;
    }
    .lds-spinner div:nth-child(11) {
      transform: rotate(300deg);
      animation-delay: -0.1s;
    }
    .lds-spinner div:nth-child(12) {
      transform: rotate(330deg);
      animation-delay: 0s;
    }
    @keyframes lds-spinner {
      0% {
        opacity: 1;
      }
      100% {
        opacity: 0;
      }
    }
  }
}

// @keyframes sk-bounce {
//   0%,
//   100% {
//     transform: scale(0);
//   }
//   50% {
//     transform: scale(1);
//   }
// }
</style>
